'FFSubmenu=Rahmen
'FFName=Fotorand


'(c) Harald Maeckler, Dsseldorf 2023
' ***********************************************************************
' Fotorand.vbs (Skript fr FixFoto)
' Randgre in px oder pm / Farbe frei whlbar
' ***********************************************************************
'
' Version 2.02 vom 16.03.2023	- Randwert in Promille bleibt nach Abbruch bzw. Ausfhrung des Skripts erhalten
' Version 2.01 vom 15.03.2023	- Fehlermeldung bei Bildern in der Bilderliste auf die kein Zugriff mglich ist, wird abgefangen
'								- Die Schlussmeldung wurde berarbeitet
' Version 2.00 vom 14.03.2023	- zur Auswahl steht jetzt auch "aktuelles Bild auf der Arbeitsflche" (ohne autom. Speicherung)
'								- Vorgabe der Randbreite in Pixel und jetzt auch in Promille
'								- Lschfunktion aktiviert (Tastenkombination Alt + d)
'								- Kurzbeschreibung jetzt vorhanden
'								- Updatefunktion aktiviert
' Version 1.00 vom 10.03.2023	- Betaversion
' ***********************************************************************

'**Start Encode**

Option Explicit

'Updatekonstanten und Variable
const SkriptVersion = "2.02"
const SkriptURL = "https://www.ffsf.de/resources/fotorand.371/"
Dim UrlVersion,UrlV_Zahl,SkriptV_Zahl,SkriptEnde

'allgemeine Konstanten und Variable
const ForReading = 1, ForWriting = 2
Dim Abbruch,Antwort

'Spezifische Konstanten und Variable
const AWtexte = "alle Bilder des Computerverzeichnis|markierte Bilder des Computerverz.|alle Bilder der aktiven Bilderliste|markierte Bilder der aktiven Bilderliste|aktuelles Bild auf der Arbeitsflche"
Dim AWarray,Auswahl
Dim SW_Rand,SW_Farbe,RD_FarbArray,flag_Praefix,flag_Suffix
Dim SW_RandP,SW_pm,SW_px,msg

'Objekte
Dim objFS,WshShell
Set objFS = CreateObject("Scripting.FileSystemObject")
Set WshShell = CreateObject("WScript.Shell")

'Lschroutine
Dim SkriptKill,TempFile	 : SkriptKill = false
Dim SkriptName
const Skript = "Fotorand"						'Skriptname
const RegSchluessel = "FF_Fotorand"				'Registryschlssel

' ***********************************************************************
call main
Set WshShell = Nothing
Set objFS = Nothing
' ***********************************************************************
Sub main

on error resume next							'Kontrolle ob Skript in FF-Umgebung gestartet wurde
	FF_GetScriptPath
 	if err <> 0 then
		msgbox "Das Skript funktioniert nur in der Programmumgebung von FixFoto!",vbCritical,"Abbruch"
		exit sub
	end if
on error goto 0

if objFS.FileExists(FF_GetScriptPath & "\" & Skript & ".vbs") then
	SkriptName = Skript & ".vbs"
elseif objFS.FileExists(FF_GetScriptPath & "\" & Skript & ".vbe") then
	SkriptName = Skript & ".vbe"
else
	msgbox "Das Skript wurde umbenannt!",vbCritical,"Abbruch"
	exit sub
end if

'** Start Dialog Fotorand **
FF_AddDialog "Fotorand",162,134
FF_AddControl "Fotorand","Kennung","GROUP",5,71,150,26
FF_AddControl "Fotorand","Rand","GROUP",5,33,150,34
FF_AddControl "Fotorand","Auswahl","GROUP",5,5,150,25
FF_AddControl "Fotorand","Bilderauswahl","COMBO",12,15,138,10
FF_AddControl "Fotorand","Fortschritt","PROGRESS",5,106,151,4
FF_AddControl "Fotorand","?","BUTTON",5,116,11,12
FF_AddControl "Fotorand","|","STATIC",20,116,18,12
FF_SetControlStyle "Fotorand","|",1
FF_AddControl "Fotorand","Update","BUTTON",42,116,33,12
FF_AddControl "Fotorand","Abbrechen","BUTTON",88,116,33,12
FF_AddControl "Fotorand","Start","BUTTON",123,116,33,12
FF_AddControl "Fotorand","&delete","BUTTON",0,0,1,1
FF_AddControl "Fotorand","Breite","STATIC",12,46,22,10
FF_AddControl "Fotorand","SW_Rand","SLEDIT",39,39,18,10
FF_SetControlStyle "Fotorand","SW_Rand",1
FF_AddControl "Fotorand","px","STATIC",61,39,13,10
FF_AddControl "Fotorand","Farbe","STATIC",90,43,22,10
FF_AddControl "Fotorand","SW_Farbe","COLOR",117,43,33,10
FF_AddControl "Fotorand","Speichern mit 'FR' als Prfix","STATIC",12,81,76,10
FF_AddControl "Fotorand","flag_Praefix","BOOL",92,82,8,8
FF_SetControlStyle "Fotorand","flag_Praefix",16384
FF_AddControl "Fotorand","oder Suffix","STATIC",108,81,32,10
FF_AddControl "Fotorand","flag_Suffix","BOOL",142,82,8,8
FF_SetControlStyle "Fotorand","flag_Suffix",16384
FF_AddControl "Fotorand","SW_RandP","SLEDIT",39,53,18,10
FF_SetControlStyle "Fotorand","SW_RandP",1
FF_AddControl "Fotorand","","STATIC",61,53,13,10
FF_AddControl "Fotorand","SW_px","BOOL",73,40,8,8
FF_SetControlStyle "Fotorand","SW_px",16384
FF_AddControl "Fotorand","SW_pm","BOOL",73,54,8,8
FF_SetControlStyle "Fotorand","SW_pm",16384
'** End Dialog Fotorand **

AWarray = split(AWtexte,"|")
for Auswahl = 0 to ubound(AWarray)
	FF_SetControl "Fotorand","Bilderauswahl",AWarray(Auswahl)
next

call RegistryLesen

'Tooltips
if Version_OK("3.30.06") then
	FF_SetControlTooltip "Fotorand","?", "" &_
						 "Anzeige der Kurzbeschreibung"
	FF_SetControlTooltip "Fotorand","Update", "" &_
						 "Prfung ob eine neue Version vorliegt"
	FF_SetControlTooltip "Fotorand","Abbrechen", "" &_
						 "Skript beenden"
	FF_SetControlTooltip "Fotorand","Start", "" &_
						 "Starten der Anwendung"
end if

if Version_OK("3.40.52") then FF_SetTooltipDelay 2500
FF_SetDialogTimer "Fotorand", 100
FF_ActivateControl "Fotorand","&delete"

do
	Abbruch = false
	Select Case FF_ShowDialog ("Fotorand")
	Case "TIMER"
		FF_SetDialogTimer "Fotorand", 0
		FF_SetControl "Fotorand" ,"|", "V " & Skriptversion
	Case "SW_px"
		FF_SetControl "Fotorand","SW_px",1
		FF_SetControl "Fotorand","SW_pm",0
	Case "SW_pm"
		FF_SetControl "Fotorand","SW_px",0
		FF_SetControl "Fotorand","SW_pm",1
	Case "flag_Praefix"
		FF_SetControl "Fotorand","flag_Praefix",1
		FF_SetControl "Fotorand","flag_Suffix",0
	Case "flag_Suffix"
		FF_SetControl "Fotorand","flag_Praefix",0
		FF_SetControl "Fotorand","flag_Suffix",1
	Case "&delete"
		Antwort = msgbox("Soll das Skript " & SkriptName & vbNewline & _
						 "wirklich gelscht werden?", _
						 vbYesNo + vbQuestion,"Sicherheitsabfrage")
		if Antwort = vbYes then
			SkriptKill = true
			exit do
		end if
	Case "?"
		'FF_SetControl "Fotorand","Fortschritt",65	'############## nur fr Screenshot
		WshShell.Popup "" & _
			"Fotorand" & vbNewLine &_
			"-------------" & vbNewLine &_
			"Das Skript dient dazu, ausgewhlte Bilder mit einem"  & vbNewLine &_
			"farbigem Rand zu versehen. Die Randbreite kann in px" & vbNewLine &_
			"oder  vorgegeben werden." & vbNewLine & vbNewLine &_
			"Nach 'Start' erfolgt die Rahmung und die Speicherung" & vbNewLine &_
			"im jeweiligen Originalpfad. Dabei wird der Dateiname" & vbNewLine &_
			"um die Kennzeichnung 'FR' als Prfix bzw. Suffix ergnzt." & vbNewLine & vbNewLine &_
			"Wird das Bild auf der Arbeitsflche gerahmt, erfolgt" & vbNewLine  &_
			"keine Speicherung." & vbNewLine & vbNewLine &_
			"Skript lschen" & vbNewLine &_
			"-------------------" & vbNewLine &_
			"Mit Bettigung der Tastenkombination Alt + D kann fr das" & vbNewLine &_
			"Skript eine Lschroutine aufgerufen werden." & vbNewLine & vbNewLine &_
			"Copyright Harald Maeckler" & vbNewLine & vbNewLine &_
			"",,"Erluterungen",vbInformation
	Case "Update"
		if InternetConnection then
			SkriptEnde = false
			call Update
			if SkriptEnde then exit do
		end if
	Case "Abbrechen","CANCEL"
		exit do
	Case "Start"
		call Werte_auslesen
		call Kontrolle
		if not Abbruch then
			if Auswahl < 4 then call Schleife else call Einzelbild
			exit do
		end if

	End Select
loop

call RegistrySchreiben
FF_CloseDialog ("Fotorand")
if SkriptKill then			'ggf. Skript komplett entfernen
	call KillSkript
end if

end sub
'------------------------------------------------------------------------
Sub Schleife
Dim bilder,bild_array,Anz,AnzB,n,Speichername

bilder = FF_GetSelection(Auswahl)
if len(bilder) = 0 then
	if Auswahl = 1 then msgbox "Im Computerverzeichnis sind keine Bilder markiert!",vbInformation,"Abbruch"
	if Auswahl = 3 then msgbox "In der aktuellen Bilderliste sind keine Bilder markiert!",vbInformation,"Abbruch"
	Abbruch = true : exit sub
end if

bild_array = split(bilder,vbNewline)
Anz = ubound(bild_Array) +1 : AnzB = 0
For n = 0 to Anz -1
	if objFS.FileExists(bild_Array(n)) then
		FF_LoadImage bild_Array(n)
	
		if SW_pm = 1 then call Umrechnung_pm
		FF_ExtendCanvas SW_Rand,SW_Rand,SW_Rand,SW_Rand,RD_FarbArray(0),RD_FarbArray(1),RD_FarbArray(2)
		
		'Pfadfunktionen
		Dim sDrive,sDir,sFileName,sBaseName,sExt
		'Laufwerk bestimmen
		sDrive = objFS.GetDriveName(bild_Array(n))
		
		'Verzeichnis extrahieren
		sDir = objFS.GetParentFolderName(bild_Array(n))
		
		'Dateiname mit Dateiendung extrahieren
		sFileName = objFS.GetFileName(bild_Array(n))
		
		'Basisnamen ohne Dateityp extrahieren
		sBaseName = objFS.GetBaseName(bild_Array(n))
		
		'Erweiterung extrahieren
		sExt = objFS.GetExtensionName(bild_Array(n))
	
		
		if flag_Praefix = 1 then
			Speichername = sDir & "\FR_" & sFileName
		else
			Speichername = sDir & "\" & sBaseName & "_FR." & sExt
		end if
		FF_SaveImage Speichername,0
		AnzB = AnzB +1
	end if

	'### Fortschrittsanzeige
	FF_SetControl "Fotorand","Fortschritt",(n +1)/Anz*100

	'### Abbruch?
	if FF_CheckKey() = 8 then 	'8 = Backspace
		Antwort = msgbox("Von " & Anz & " Bildern wurden bisher " & n +1 & " Bilder bearbeitet." & vbNewLine & vbNewLine & _
						 "Soll die Bearbeitung abgebrochen werden?",vbYesNo or vbQuestion,"Abfrage")
		if Antwort = vbYes then exit sub
	end if
next

msg = "Von " & Anz & " Bildern wurden " & AnzB & " bearbeitet."
if Auswahl = 2 or Auswahl = 3 then
	msg = msg & vbNewLine  & vbNewLine & "Achtung: Die gerahmten Bilder sind in ihren Ursprungsordnern zu finden!"
end if
if Anz <> AnzB then
	msg = msg & vbNewLine  & vbNewLine & "Es konnte nicht auf alle Bilder zugegriffen werden."
	if Auswahl = 2 or Auswahl = 3 then
		msg = msg & vbNewLine & "Tipp:" & vbNewLine &_
								"Aktuelle Bilderliste ber Kontextmen aktualisieren!"
	end if
end if
msgbox msg,vbInformation,"Schlussmeldung"

End Sub
'------------------------------------------------------------------------
Sub Einzelbild

if FF_GetImageWidth() = 0 then
	msgbox "Kein Bild auf der Arbeitsflche!",vbInformation,"Abbruch"
	Abbruch = true : exit sub
end if

if SW_pm = 1 then call Umrechnung_pm
FF_ExtendCanvas SW_Rand,SW_Rand,SW_Rand,SW_Rand,RD_FarbArray(0),RD_FarbArray(1),RD_FarbArray(2)

FF_Reload

End Sub
'------------------------------------------------------------------------
Sub Umrechnung_pm
Dim Breite,Hoehe,Faktor

Breite=FF_GetImageWidth()	'Breite
Hoehe =FF_GetImageHeight()	'Hoehe

if Breite >= Hoehe then
	Faktor = Breite / 1000
else
	Faktor = Hoehe / 1000
end if

SW_Rand = SW_RandP * Faktor

End Sub
'------------------------------------------------------------------------
Sub Werte_auslesen

Dim AuswahlWert

'Auswahl
'0 = alle Bilder des Computerverzeichnis
'1 = selekt. Bilder des Computerverzeichnis
'2 = alle Bilder der Bilderliste
'3 = selektierte Bilder der Bilderliste
'4 = aktuelles Bild auf der Arbeitsflche

AuswahlWert = FF_GetControl("Fotorand","Bilderauswahl")
for Auswahl = 0 to ubound(AWarray)
	if AWarray(Auswahl) = Auswahlwert then exit for
next

SW_Rand = FF_GetControl("Fotorand","SW_Rand")
SW_RandP = FF_GetControl("Fotorand","SW_RandP")
SW_Farbe = FF_GetControl("Fotorand","SW_Farbe")
RD_FarbArray = split(SW_Farbe," ")

SW_px = FF_GetControl("Fotorand","SW_px")
SW_pm = FF_GetControl("Fotorand","SW_pm")

flag_Praefix = FF_GetControl("Fotorand","flag_Praefix")
flag_Suffix = FF_GetControl("Fotorand","flag_Suffix")

End Sub
'------------------------------------------------------------------------
Sub Kontrolle

if len(SW_Rand) = 0 then SW_Rand = 0
if SW_Rand = 0 then
	msgbox "Die Randbreite muss > 0 sein!",vbinformation,"Info"
	Abbruch = true
end if

if len(SW_RandP) = 0 then SW_RandP = 0
if SW_RandP = 0 then
	msgbox "Die Randbreite muss > 0 sein!",vbinformation,"Info"
	Abbruch = true
end if

End Sub
'------------------------------------------------------------------------
Sub RegistryLesen
'Schlsselname = HKEY_CURRENT_USER\Software\Joachim Koopmann Software\FixFoto\Script\ & RegSchluessel

'### Werte auslesen

'Auswahl
Auswahl = FF_GetProfile (RegSchluessel,"Auswahl")
if Auswahl = "" then Auswahl = 1

'Werte
SW_Rand = FF_GetProfile (RegSchluessel,"SW_Rand")
if SW_Rand = "" then SW_Rand = 10
SW_RandP = FF_GetProfile (RegSchluessel,"SW_RandP")
if SW_RandP = "" then SW_RandP = 20
SW_Farbe = FF_GetProfile (RegSchluessel,"SW_Farbe")
if SW_Farbe = "" then SW_Farbe = "255 255 255"
flag_Praefix = FF_GetProfile (RegSchluessel,"flag_Praefix")
if flag_Praefix = "" then flag_Praefix = 1
flag_Suffix = FF_GetProfile (RegSchluessel,"flag_Suffix")
SW_px = FF_GetProfile (RegSchluessel,"SW_px")
if SW_px = "" then SW_px = 1
SW_pm = FF_GetProfile (RegSchluessel,"SW_pm")

'### Werte eintragen

'Auswahl
FF_SetControl "Fotorand","Bilderauswahl",AWarray(Auswahl)
FF_SetControl "Fotorand","SW_Rand",SW_Rand
FF_SetControl "Fotorand","SW_RandP",SW_RandP
FF_SetControl "Fotorand","SW_Farbe",SW_Farbe

FF_SetControl "Fotorand","flag_Praefix",flag_Praefix
FF_SetControl "Fotorand","flag_Suffix",flag_Suffix
FF_SetControl "Fotorand","SW_px",SW_px
FF_SetControl "Fotorand","SW_pm",SW_pm

End Sub
'------------------------------------------------------------------------
Sub RegistrySchreiben
'Schlsselname = HKEY_CURRENT_USER\Software\Joachim Koopmann Software\FixFoto\Script\ & RegSchluessel

call Werte_Auslesen

'Werte schreiben
FF_WriteProfile RegSchluessel,"Auswahl",Auswahl
FF_WriteProfile RegSchluessel,"SW_Rand",SW_Rand
FF_WriteProfile RegSchluessel,"SW_RandP",SW_RandP
FF_WriteProfile RegSchluessel,"SW_Farbe",SW_Farbe
FF_WriteProfile RegSchluessel,"flag_Praefix",flag_Praefix
FF_WriteProfile RegSchluessel,"flag_Suffix",flag_Suffix
FF_WriteProfile RegSchluessel,"SW_px",SW_px
FF_WriteProfile RegSchluessel,"SW_pm",SW_pm

End Sub
'------------------------------------------------------------------------
'************************************************************************
'Internetverbindung ?
'************************************************************************
'------------------------------------------------------------------------
Function InternetConnection
 
Dim obj
Set obj = GetObject("winmgmts:Win32_PingStatus.address='" & "google.de" & "'")

if IsNull(obj.StatusCode) or obj.StatusCode <> 0 Then
   msgbox "Keine Internetverbindung!",vbInformation,"Hinweis"
   InternetConnection = false
else
   InternetConnection = true
end if
 
End Function
'------------------------------------------------------------------------
'************************************************************************
'Update-Funktion
'************************************************************************
'------------------------------------------------------------------------
Sub Update
Dim Antwort

call Versionsermittlung_url

if not Abbruch then
	SkriptV_Zahl = Replace(SkriptVersion,".","") *1
	
	if UrlV_Zahl = SkriptV_Zahl then
		msgbox "Die Version " & SkriptVersion & " ist aktuell!",vbInformation,"Versionsmeldung"
	elseif SkriptV_Zahl < UrlV_Zahl then
		Antwort = msgbox("Die Skriptversion " & SkriptVersion & " ist nicht mehr aktuell!" & vbNewLine &_
				"Es steht die Version " & UrlVersion & " zum Download bereit." & vbNewLine & vbNewLine & _
				"Soll die Downloadseite aufgerufen werden?",vbQuestion + vbYesNo,"Versionsmeldung")
		if Antwort = vbYes then
			on error resume next
			WshShell.Run SkriptUrl,1,false
			if err <> 0 then
				msgbox "Die Downloadseite wurde nicht gefunden!",vbExclamation,"Hinweis"
			else
				SkriptEnde = true
			end if
			on error goto 0
		end if
	else
		msgbox 	"Es liegt ein Fehler in den Versionsangaben vor." & vbNewLine &_
				"Die Skriptversion " & SkriptVersion & " ist grer als die auf" & vbNewLine &_
				"der Downloadseite angegebene Version " & UrlVersion & ".",vbInformation,"Fehlermeldung"
	end if
end if

End Sub
'------------------------------------------------------------------------
Sub Versionsermittlung_url

const VersVortext = "Version:"
Dim Inhalt,pos1,pos2,xml
Dim Fehler : Fehler = false

on error resume next

Set xml = CreateObject("Microsoft.XMLHTTP")
xml.Open "Get",SkriptUrl,false
xml.Send

Inhalt = xml.responseText

if err <> 0 then
	Fehler = true
else
	'Version suchen und anzeigen	
	pos1 = instr(Inhalt,VersVortext)
	if pos1 > 0 then
		pos2 = instr(pos1 ,Inhalt,".")
		if pos2 > 0 then
			pos2 = pos2 +3
			UrlVersion = trim(mid(Inhalt,pos1,pos2-pos1))
		else
			Fehler = true
		end if
	else
		Fehler = true
	end if
end if

Set xml = nothing
On Error GoTo 0

if Fehler then
	msgbox  "Die Versionsangabe wurde nicht gefunden!" & vbNewLine &_
			"Mglicherweise funktioniert der Internetaufruf nicht." & vbNewLine & vbNewLine & _
			"Am besten nochmal probieren!",vbExclamation,"Fehlermeldung"
	Abbruch = true
	exit sub
end if

'Version als Zahl
UrlVersion = trim(mid(UrlVersion,len(VersVortext) +1))
UrlV_Zahl = Replace(UrlVersion,".","") *1
'Msgbox "|" & UrlV_Zahl & "|"

End Sub
'------------------------------------------------------------------------
'************************************************************************
'Lschroutine
'************************************************************************
'------------------------------------------------------------------------
Sub KillSkript
'Skript mit allen Komponenten entfernen

Dim SPfad

'### FixFotoScript.ini bereinigen
TempFile = FF_GetFFPathEx(1) & "\FixFotoScript.ini"
if objFS.FileExists(TempFile) then
	call IniBereinigung
	if Abbruch then exit sub
else
	msgbox 	"Die Datei FixFotoScript.ini konnte nicht gefunden werden." & vbNewLine & _
			"Der Lschvorgang wird abgebrochen!",vbExclamation,"Hinweis"
	exit sub
end if

'### zip-Archiv auf Wunsch sichern, dann lschen
TempFile = FF_GetScriptPath & "\" & objFS.GetBaseName(Skriptname) & ".zip"
if objFS.FileExists(TempFile) then
	Antwort = msgbox("Soll das Archiv " & objFS.GetBaseName(Skriptname) & ".zip" & _
			 " gesichert werden?",vbYesNo + vbQuestion,"Sicherheitskopie")
	if Antwort = vbYes then
		SPfad = FF_EnterPath(true,"Wo soll die Sicherheitskopie angelegt werden?")
		if SPfad = "" then
			msgbox "Das Lschen des Skripts wird abgebrochen!",vbExclamation,"Hinweis"
			exit sub
		end if
		SPfad = SPfad & "\" & objFS.GetBaseName(Skriptname) & ".zip"
		objFS.CopyFile Tempfile, SPfad, true
	end if
	objFS.DeleteFile TempFile,true
end if

'### Skriptdatei lschen
TempFile = FF_GetScriptPath & "\" & Skriptname
objFS.DeleteFile TempFile,true

'### evtl. beigepackte bzw. erzeugte Dateien lschen
'TempFile = """" & FF_GetScriptPath & "\SetDate\SetDate.pdf" & """"			'Dateien
'if objFS.FileExists(TempFile) then objFS.DeleteFile TempFile,true

'### evtl. beigepackte bzw. erzeugte Ordner lschen
'TempFile = FF_GetScriptPath & "\MeckiScript\SetDate"						'Ordner
'if objFS.FolderExists(TempFile) then objFS.DeleteFolder TempFile,true

'### ggf. Registry-Daten lschen
TempFile = "HKEY_CURRENT_USER\Software\Joachim Koopmann Software\FixFoto\Script\" & RegSchluessel & "\"
WshShell.RegDelete(TempFile)

'### Fertigmeldung
msgbox "Das Skript" & Skriptname & vbNewLine & "wurde mit allen Komponenten gelscht!" & vbNewLine & _
	   "Es wird empfohlen die 'Automatische Skriptkonfiguration' aufzurufen.",vbExclamation,"Hinweis"

End Sub
'------------------------------------------------------------------------
Sub IniBereinigung
'FixFotoScript.ini - Bereinigung

Dim Zeile, zNr,Anfang, Ende, DateiTmp, ZielZeile, tmpString
DateiTmp =  FF_GetFFPathEx(1) & "\FixFotoScript.tmp"

'### Wo befindet sich der Eintrag zum Skript?
Set Zeile = objFS.OpenTextFile(TempFile, ForReading)

zNr = 0
do Until Zeile.AtEndOfStream
	tmpString = Zeile.ReadLine
	zNr = zNr + 1
	if tmpString = "[Script]" then Anfang = zNr
	if tmpString = "File=.\" & Skriptname then
		Ende = zNr
		exit do	
	end if
loop 
Zeile.Close

if Ende <= Anfang then
	msgbox 	"Die Datei FixFotoScript.ini konnte nicht bereinigt werden." & vbNewLine & _
		"Der Lschvorgang wird abgebrochen!",vbExclamation,"Hinweis"
	Abbruch = true
	exit sub
end if

'### Zeilen ohne skriptbezogene Zeilen in DateiTmp bertragen
Set Zeile = objFS.OpenTextFile(TempFile, ForReading)
Set ZielZeile  = objFS.CreateTextFile(DateiTmp, True)

zNr = 0
do Until Zeile.AtEndOfStream
	tmpString = Zeile.ReadLine
	zNr = zNr + 1
	if zNr < Anfang or zNr > Ende then
		ZielZeile.WriteLine tmpString
	end if
loop 

Zeile.Close
ZielZeile.Close

'### Umkopieren von DateiTmp nach FixFotoScript.ini (TempFile)
objFS.CopyFile DateiTmp, TempFile, True
objFS.DeleteFile (DateiTmp)

End Sub
'------------------------------------------------------------------------
'************************************************************************
'Standard-Funktionen
'************************************************************************
'------------------------------------------------------------------------
Function Version_OK(MinVersion)
dim VersNr

 VersNr=split(MinVersion,".")
 Version_OK=FF_GetMajor * 1000 + FF_GetMinor + FF_GetBuild / 1000 >=_
     		VersNr(0) * 1000 + VersNr(1) + VersNr(2) / 1000

End Function
'------------------------------------------------------------------------
